CUTLASS: cutlass::platform Namespace Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Functions
cutlass::platform Namespace Reference

## Classes
struct | aligned_chunk
struct | aligned_storage
| std::aligned_storage More...
struct | alignment_of
| std::alignment_of More...
struct | alignment_of< const value_t >
struct | alignment_of< const volatile value_t >
struct | alignment_of< double2 >
struct | alignment_of< double4 >
struct | alignment_of< float4 >
struct | alignment_of< int4 >
struct | alignment_of< long4 >
struct | alignment_of< longlong2 >
struct | alignment_of< longlong4 >
struct | alignment_of< uint4 >
struct | alignment_of< ulong4 >
struct | alignment_of< ulonglong2 >
struct | alignment_of< ulonglong4 >
struct | alignment_of< volatile value_t >
struct | bool_constant
| std::bool_constant More...
struct | conditional
| std::conditional (true specialization) More...
struct | conditional< false, T, F >
| std::conditional (false specialization) More...
struct | default_delete
| Default deleter. More...
struct | default_delete< T[]>
| Partial specialization for deleting array types. More...
struct | enable_if
| std::enable_if (true specialization) More...
struct | enable_if< false, T >
| std::enable_if (false specialization) More...
struct | integral_constant
| std::integral_constant More...
struct | is_arithmetic
| std::is_arithmetic More...
struct | is_base_of
| std::is_base_of More...
struct | is_base_of_helper
| Helper for std::is_base_of. More...
struct | is_floating_point
| std::is_floating_point More...
struct | is_fundamental
| std::is_fundamental More...
struct | is_integral
| std::is_integral More...
struct | is_integral< char >
struct | is_integral< const T >
struct | is_integral< const volatile T >
struct | is_integral< int >
struct | is_integral< long >
struct | is_integral< long long >
struct | is_integral< short >
struct | is_integral< signed char >
struct | is_integral< unsigned char >
struct | is_integral< unsigned int >
struct | is_integral< unsigned long >
struct | is_integral< unsigned long long >
struct | is_integral< unsigned short >
struct | is_integral< volatile T >
struct | is_pointer
| std::is_pointer More...
struct | is_pointer_helper
| Helper for std::is_pointer (false specialization) More...
struct | is_pointer_helper< T * >
| Helper for std::is_pointer (true specialization) More...
struct | is_same
| std::is_same (false specialization) More...
struct | is_same< A, A >
| std::is_same (true specialization) More...
struct | is_trivially_copyable
struct | is_void
| std::is_void More...
struct | is_volatile
| std::is_volatile More...
struct | is_volatile< volatile T >
struct | nullptr_t
| std::nullptr_t More...
struct | remove_const
| std::remove_const (non-const specialization) More...
struct | remove_const< const T >
| std::remove_const (const specialization) More...
struct | remove_cv
| std::remove_cv More...
struct | remove_volatile
| std::remove_volatile (non-volatile specialization) More...
struct | remove_volatile< volatile T >
| std::remove_volatile (volatile specialization) More...
class | unique_ptr
| std::unique_ptr More...

## Typedefs
typedef integral_constant< bool, true > | true_type
| The type used as a compile-time boolean with true value. More...
typedef integral_constant< bool, false > | false_type
| The type used as a compile-time boolean with false value. More...

## Functions
template<typename T >
CUTLASS_HOST_DEVICE constexpr const T & | min (const T &a, const T &b)
| std::min More...
template<typename T >
CUTLASS_HOST_DEVICE constexpr const T & | max (const T &a, const T &b)
| std::max More...
template<class T1 , class T2 >
CUTLASS_HOST_DEVICE constexpr bool | operator== (const pair< T1, T2 > &lhs, const pair< T1, T2 > &rhs)
template<class T1 , class T2 >
CUTLASS_HOST_DEVICE constexpr bool | operator!= (const pair< T1, T2 > &lhs, const pair< T1, T2 > &rhs)
template<class T1 , class T2 >
CUTLASS_HOST_DEVICE constexpr bool | operator< (const pair< T1, T2 > &lhs, const pair< T1, T2 > &rhs)
template<class T1 , class T2 >
CUTLASS_HOST_DEVICE constexpr bool | operator<= (const pair< T1, T2 > &lhs, const pair< T1, T2 > &rhs)
template<class T1 , class T2 >
CUTLASS_HOST_DEVICE constexpr bool | operator> (const pair< T1, T2 > &lhs, const pair< T1, T2 > &rhs)
template<class T1 , class T2 >
CUTLASS_HOST_DEVICE constexpr bool | operator>= (const pair< T1, T2 > &lhs, const pair< T1, T2 > &rhs)
template<class T1 , class T2 >
CUTLASS_HOST_DEVICE std::pair< T1, T2 > | make_pair (T1 t, T2 u)
template<>
struct | __align__ (1) aligned_chunk< 1 >
template<>
struct | __align__ (2) aligned_chunk< 2 >
template<>
struct | __align__ (4) aligned_chunk< 4 >
template<>
struct | __align__ (8) aligned_chunk< 8 >
template<>
struct | __align__ (16) aligned_chunk< 16 >
template<>
struct | __align__ (32) aligned_chunk< 32 >
template<>
struct | __align__ (64) aligned_chunk< 64 >
template<>
struct | __align__ (128) aligned_chunk< 128 >
template<>
struct | __align__ (256) aligned_chunk< 256 >
template<>
struct | __align__ (512) aligned_chunk< 512 >
template<>
struct | __align__ (1024) aligned_chunk< 1024 >
template<>
struct | __align__ (2048) aligned_chunk< 2048 >
template<>
struct | __align__ (4096) aligned_chunk< 4096 >
template<typename T , typename Deleter >
void | swap (unique_ptr< T, Deleter > &lhs, unique_ptr< T, Deleter > &rhs) noexcept
| Specializes the swap algorithm. More...

## Typedef Documentation

typedef integral_constant<bool, false> cutlass::platform::false_type

typedef integral_constant<bool, true> cutlass::platform::true_type

## Function Documentation

template<>

struct cutlass::platform::__align__ | ( | 1 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 2 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 64 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 128 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 256 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 512 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 1024 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 2048 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 4096 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 32 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 4 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 8 |  | ) |

template<>

struct cutlass::platform::__align__ | ( | 16 |  | ) |

template<class T1 , class T2 >

CUTLASS_HOST_DEVICE std::pair<T1, T2> cutlass::platform::make_pair | ( | T1 | t,
|  | T2 | u
| ) |  |

template<typename T >

CUTLASS_HOST_DEVICE constexpr const T& cutlass::platform::max | ( | const T & | a,
|  | const T & | b
| ) |  |

template<typename T >

CUTLASS_HOST_DEVICE constexpr const T& cutlass::platform::min | ( | const T & | a,
|  | const T & | b
| ) |  |

template<class T1 , class T2 >

CUTLASS_HOST_DEVICE constexpr bool cutlass::platform::operator!= | ( | const pair< T1, T2 > & | lhs,
|  | const pair< T1, T2 > & | rhs
| ) |  |

template<class T1 , class T2 >

CUTLASS_HOST_DEVICE constexpr bool cutlass::platform::operator< | ( | const pair< T1, T2 > & | lhs,
|  | const pair< T1, T2 > & | rhs
| ) |  |

template<class T1 , class T2 >

CUTLASS_HOST_DEVICE constexpr bool cutlass::platform::operator<= | ( | const pair< T1, T2 > & | lhs,
|  | const pair< T1, T2 > & | rhs
| ) |  |

template<class T1 , class T2 >

CUTLASS_HOST_DEVICE constexpr bool cutlass::platform::operator== | ( | const pair< T1, T2 > & | lhs,
|  | const pair< T1, T2 > & | rhs
| ) |  |

template<class T1 , class T2 >

CUTLASS_HOST_DEVICE constexpr bool cutlass::platform::operator> | ( | const pair< T1, T2 > & | lhs,
|  | const pair< T1, T2 > & | rhs
| ) |  |

template<class T1 , class T2 >

CUTLASS_HOST_DEVICE constexpr bool cutlass::platform::operator>= | ( | const pair< T1, T2 > & | lhs,
|  | const pair< T1, T2 > & | rhs
| ) |  |

template<typename T , typename Deleter >

void cutlass::platform::swap | ( | unique_ptr< T, Deleter > & | lhs,
|  | unique_ptr< T, Deleter > & | rhs
| ) |  |
| noexcept